<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BoundedSubtype (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BoundedSubtype (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BoundedSubtype.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html" target="_top">Frames</a></li>
<li><a href="BoundedSubtype.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes</div>
<h2 title="Interface BoundedSubtype" class="title">Interface BoundedSubtype</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/impl/BoundedSubtypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes.impl">BoundedSubtypeImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BoundedSubtype</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Bounded Subtype</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code><em>Base Type</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code><em>Min Value</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code><em>Max Value</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code><em>Is Min Open</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code><em>Is Max Open</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code><em>Base Data Type</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype--"><code>DataTypesPackage.getBoundedSubtype()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.DataType</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--">getBase_DataType</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Data Type</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.DataType</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--">getBaseType</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Type</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--">getMaxValue</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Max Value</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--">getMinValue</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Min Value</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--">isMaxOpen</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Max Open</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--">isMinOpen</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Min Open</b></em>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setBase_DataType-org.eclipse.uml2.uml.DataType-">setBase_DataType</a></span>(org.eclipse.uml2.uml.DataType&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setBaseType-org.eclipse.uml2.uml.DataType-">setBaseType</a></span>(org.eclipse.uml2.uml.DataType&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code><em>Base Type</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setIsMaxOpen-boolean-">setIsMaxOpen</a></span>(boolean&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code><em>Is Max Open</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setIsMinOpen-boolean-">setIsMinOpen</a></span>(boolean&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code><em>Is Min Open</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setMaxValue-java.lang.String-">setMaxValue</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code><em>Max Value</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setMinValue-java.lang.String-">setMinValue</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code><em>Min Value</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBaseType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBaseType</h4>
<pre>org.eclipse.uml2.uml.DataType&nbsp;getBaseType()</pre>
<div class="block">Returns the value of the '<em><b>Base Type</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Type</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setBaseType-org.eclipse.uml2.uml.DataType-"><code>setBaseType(DataType)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_BaseType--"><code>DataTypesPackage.getBoundedSubtype_BaseType()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBaseType-org.eclipse.uml2.uml.DataType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBaseType</h4>
<pre>void&nbsp;setBaseType(org.eclipse.uml2.uml.DataType&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code><em>Base Type</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBaseType--"><code>getBaseType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMinValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinValue</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMinValue()</pre>
<div class="block">Returns the value of the '<em><b>Min Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Min Value</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Min Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setMinValue-java.lang.String-"><code>setMinValue(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_MinValue--"><code>DataTypesPackage.getBoundedSubtype_MinValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="setMinValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinValue</h4>
<pre>void&nbsp;setMinValue(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code><em>Min Value</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Min Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMinValue--"><code>getMinValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="getMaxValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxValue</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMaxValue()</pre>
<div class="block">Returns the value of the '<em><b>Max Value</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Max Value</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Max Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setMaxValue-java.lang.String-"><code>setMaxValue(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_MaxValue--"><code>DataTypesPackage.getBoundedSubtype_MaxValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="setMaxValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxValue</h4>
<pre>void&nbsp;setMaxValue(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code><em>Max Value</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Max Value</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getMaxValue--"><code>getMaxValue()</code></a></dd>
</dl>
</li>
</ul>
<a name="isMinOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMinOpen</h4>
<pre>boolean&nbsp;isMinOpen()</pre>
<div class="block">Returns the value of the '<em><b>Is Min Open</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Min Open</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Min Open</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setIsMinOpen-boolean-"><code>setIsMinOpen(boolean)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_IsMinOpen--"><code>DataTypesPackage.getBoundedSubtype_IsMinOpen()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsMinOpen-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsMinOpen</h4>
<pre>void&nbsp;setIsMinOpen(boolean&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code><em>Is Min Open</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Min Open</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMinOpen--"><code>isMinOpen()</code></a></dd>
</dl>
</li>
</ul>
<a name="isMaxOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMaxOpen</h4>
<pre>boolean&nbsp;isMaxOpen()</pre>
<div class="block">Returns the value of the '<em><b>Is Max Open</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Max Open</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Max Open</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setIsMaxOpen-boolean-"><code>setIsMaxOpen(boolean)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_IsMaxOpen--"><code>DataTypesPackage.getBoundedSubtype_IsMaxOpen()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsMaxOpen-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsMaxOpen</h4>
<pre>void&nbsp;setIsMaxOpen(boolean&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code><em>Is Max Open</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Max Open</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#isMaxOpen--"><code>isMaxOpen()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_DataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_DataType</h4>
<pre>org.eclipse.uml2.uml.DataType&nbsp;getBase_DataType()</pre>
<div class="block">Returns the value of the '<em><b>Base Data Type</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Data Type</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Data Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#setBase_DataType-org.eclipse.uml2.uml.DataType-"><code>setBase_DataType(DataType)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/DataTypesPackage.html#getBoundedSubtype_Base_DataType--"><code>DataTypesPackage.getBoundedSubtype_Base_DataType()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_DataType-org.eclipse.uml2.uml.DataType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_DataType</h4>
<pre>void&nbsp;setBase_DataType(org.eclipse.uml2.uml.DataType&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code><em>Base Data Type</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Data Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html#getBase_DataType--"><code>getBase_DataType()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BoundedSubtype.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/ChoiceType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.DataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/DataTypes/BoundedSubtype.html" target="_top">Frames</a></li>
<li><a href="BoundedSubtype.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
